Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ProgressBarBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.ProgressBarBaseRenderer

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

Direct Known Subclasses:
  ProgressBarRenderer

    public class ProgressBarBaseRenderer

extends RendererBase
implements org.richfaces.renderkit.MetaComponentRenderer

Abstract progress bar renderer

Author:
  Nick Belaevski

Constructor Summary
`ProgressBarBaseRenderer()`

Method Summary
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected org.richfaces.renderkit.html.ProgressBarState` | `getCurrentState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected org.richfaces.renderkit.html.ProgressBarStateEncoder` | `getEncoder(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected Object` | `getMaxValueOrDefault(javax.faces.component.UIComponent component)`
`protected Object` | `getMinValueOrDefault(javax.faces.component.UIComponent component)`
`protected org.richfaces.component.SwitchType` | `getModeOrDefault(javax.faces.component.UIComponent component)`
`protected String` | `getStateDisplayStyle(String currentState, String state)`
`protected String` | `getSubmitFunction(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected Object` | `getValueOrDefault(javax.faces.component.UIComponent component)`
`protected boolean` | `isAjaxMode(javax.faces.component.UIComponent component)` Check if component mode is AJAX
`protected boolean` | `isResourceMode(javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressBarBaseRenderer

    public ProgressBarBaseRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### isAjaxMode

    protected boolean isAjaxMode(javax.faces.component.UIComponent component)

  Check if component mode is AJAX

  Parameters:
    `component` -
  Returns:

### isResourceMode

    protected boolean isResourceMode(javax.faces.component.UIComponent component)

### getCurrentState

    protected org.richfaces.renderkit.html.ProgressBarState getCurrentState(javax.faces.context.FacesContext context,
                                                                            javax.faces.component.UIComponent component)

### getStateDisplayStyle

    protected String getStateDisplayStyle(String currentState,
                                          String state)

### getSubmitFunction

    protected String getSubmitFunction(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### getEncoder

    protected org.richfaces.renderkit.html.ProgressBarStateEncoder getEncoder(javax.faces.context.FacesContext facesContext,
                                                                              javax.faces.component.UIComponent component)

### getMaxValueOrDefault

    protected Object getMaxValueOrDefault(javax.faces.component.UIComponent component)

### getMinValueOrDefault

    protected Object getMinValueOrDefault(javax.faces.component.UIComponent component)

### getValueOrDefault

    protected Object getValueOrDefault(javax.faces.component.UIComponent component)

### getModeOrDefault

    protected org.richfaces.component.SwitchType getModeOrDefault(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.